[API Reference](../README.md) > [PromiseEventService](../classes/PromiseEventService.md)

# Class: PromiseEventService

## Hierarchy

**PromiseEventService**

## Index

### Methods

* [publish](PromiseEventService.md#publish)

---

## Methods

<a id="publish"></a>

### `<Static>` publish

▸ **publish**<`TResult`>(topics: * `Array`<`string`> &#124; `string`*, promise: *`Promise`<`TResult`>*): `void`

*Defined in promiseEventService.ts:12*

Publish to the given topics the result of the given promise. The payload of the event will be of type TResult.

**Type parameters:**

#### TResult 
**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| topics |  `Array`<`string`> &#124; `string`|  \- |
| promise | `Promise`<`TResult`> |   |

**Returns:** `void`

___

